:host {
  width: 10em;
  background-color: #eee;
  height: 12em;

  line-height: 1.5;
  padding: 0.5em;
  border-radius: 0.5em 2em 0 0.5em;
  box-shadow: 1px 2px 5px 0px gray;
  transition: 300ms ease-in-out;
  transform: translateY(0em) translateX(0em);
  cursor: pointer;

  overflow: hidden;
  display: grid;
  grid-template-areas:
    "header"
    "content"
    "footer";
  grid-template-rows: 1.4em auto 2em;

  .title {
    grid-area: header;
  }
  .content {
    grid-area: content;
    overflow: hidden;
  }
  .footer {
    padding: 0.4em 0.1em;
    grid-area: footer;
  }

  &.p-draggable-enter {
    background-color: cadetblue;
    border: 1px solid inset red;
  }

  &.selected {
    // box-shadow: 3px 4px 11px 0px #a3a2ff;
    box-shadow: 3px 4px 11px 0px gray;
    transition: 200ms ease-in-out;
    transform: translateY(-1em) translateX(-0.1em);
  }

  ::ng-deep {
    .description {
      text-overflow: ellipsis;
      & > *:not(:first-child) {
        display: none;
      }
    }
  }
}
